/**
 * <h2>SoundSystem-äänikirjasto</h2>
 * <p>
 * SoundSystem-äänikirjasto on Jyväskylän yliopiston Ohjelmointi 1 -kurssille MIDI-äänentoistoa varten 
 * luotu Java-kirjasto. äänikirjaston tehtävänä on tarjota käyttöjälle mahdollisuus toistaa nuotteja,
 * nuottijonoja, sointuja ja MIDI-tiedostoja.
 * </p>
 * <p>
 * äänikirjaston käyttörajapinta on tehty mahdollisimman intuitiiviseksi, sillä rajapinnan tarjoaa
 * toiminnallisuuksia vain äänentoistoon. Instrumentteja on myäs mahdollisuus vaihtaa, käytössä ovat
 * kaikki General MIDI -standardin määrittämät 128 instrumenttia.
 * </p>
 * <h3>Huomautuksia</h3>
 * <ul>
 * <li>Perkussioinstrumenttien toisto on mahdollista vain käyttömällä kanavaa 10. Tälläin instrumentit 
 * valitaan tiettyä nuottia käyttämällä, ks. <a href="http://www.midi.org/techspecs/gm1sound.php">spesifikaatio</a>.
 * </li>
 * <li>Poikkeuksien heitto on estetty kokonaan. Kaikki virheet yms. tulostuvat virhevirtaan (<i>System.err</i>).</li>
 * </ul>
 */
package fi.jyu.mit.Music;